Skip to content
Start here

Patch Argo Smart Routing setting

client.Argo.SmartRouting.Edit(ctx, params) (*SmartRoutingEditResponse, error)
PATCH/zones/{zone_id}/argo/smart_routing

Configures the value of the Argo Smart Routing enablement setting.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings Write
ParametersExpand Collapse
params SmartRoutingEditParams
ZoneID param.Field[string]

Path param: Specifies the zone associated with the API call.

maxLength32
Value param.Field[SmartRoutingEditParamsValue]

Body param: Specifies the enablement value of Argo Smart Routing.

const SmartRoutingEditParamsValueOn SmartRoutingEditParamsValue = "on"
const SmartRoutingEditParamsValueOff SmartRoutingEditParamsValue = "off"
ReturnsExpand Collapse
type SmartRoutingEditResponse struct{…}
ID string

Specifies the identifier of the Argo Smart Routing setting.

Editable bool

Specifies if the setting is editable.

Value SmartRoutingEditResponseValue

Specifies the enablement value of Argo Smart Routing.

One of the following:
const SmartRoutingEditResponseValueOn SmartRoutingEditResponseValue = "on"
const SmartRoutingEditResponseValueOff SmartRoutingEditResponseValue = "off"
ModifiedOn Timeoptional

Specifies the time when the setting was last modified.

formatdate-time

Patch Argo Smart Routing setting

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/argo"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Argo.SmartRouting.Edit(context.TODO(), argo.SmartRoutingEditParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Value: cloudflare.F(argo.SmartRoutingEditParamsValueOn),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}